summaryrefslogtreecommitdiffstats
path: root/net/rwhois/files/rwhoisd.sh
diff options
context:
space:
mode:
authortg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committertg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit3a84881f168162a487490bbbd275ca05b7f5560d (patch)
treee888acd7e17d635c1f902fccb1eefdf89f15641a /net/rwhois/files/rwhoisd.sh
parent83513fef56c1c9996eb040a93488ed7837fac927 (diff)
downloadFreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.zip
FreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.tar.gz
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Diffstat (limited to 'net/rwhois/files/rwhoisd.sh')
-rw-r--r--net/rwhois/files/rwhoisd.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/net/rwhois/files/rwhoisd.sh b/net/rwhois/files/rwhoisd.sh
new file mode 100644
index 0000000..08c071b
--- /dev/null
+++ b/net/rwhois/files/rwhoisd.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ # remove or comment the following line and uncomment the one below it once you have
+ # configured your server's data
+ echo "rwhoisd not started; sample data still in place. See ${PREFIX}/share/doc/rwhois for details."
+ #[ -x ${PREFIX}/lib/rwhois/sbin/rwhoisd ] && ${PREFIX}/lib/rwhois/sbin/rwhoisd -c ${PREFIX}/lib/rwhois/rwhois.conf & && echo -n ' rwhoisd'
+ ;;
+stop)
+ # killall rwhoisd && echo -n ' rwhoisd
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud